/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#pragma once

#define DLLEXPORT            __declspec(dllexport)
typedef struct tagPATCH NEAR*    HPATCH;

#ifdef __cplusplus
extern "C"{
#endif
DLLEXPORT HPATCH WINAPI PatchDdi32   (HWND hWnd,HINSTANCE hInst,DWORD ddiType,DWORD *pAdd);
DLLEXPORT BOOL   WINAPI UnpatchDdi32 (HPATCH hPatch);

DLLEXPORT BOOL Initialize();
DLLEXPORT BOOL Finalize  ();
DLLEXPORT int  ReadBuffer(char * ptr,unsigned int size);
DLLEXPORT int  PeekBuffer(char * ptr,unsigned int size);
DLLEXPORT BOOL MoveReadPointer(unsigned int size);
DLLEXPORT BOOL ReSetOverFlow(void);
DLLEXPORT BOOL SetDCHandle(unsigned long dcHandle);



#ifdef __cplusplus
};
#endif