/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/




#if !defined(AFX_EMPLOCALIZE_H__C20F7BE1_634B_11D6_BC84_002018A23969__INCLUDED_)
#define AFX_EMPLOCALIZE_H__C20F7BE1_634B_11D6_BC84_002018A23969__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

#include "localdef.h"


#define FIRST_ERR_STRING_ID				10000
#define FIRST_WRN_STRING_ID				20000
#define FIRST_INF_STRING_ID				30000
#define FIRST_RES_STRING_ID				40000

#define IDS_ERR_STRING0000              10000

#define IDS_ERR_STRING0002              10002
#define IDS_ERR_STRING0003              10003
#define IDS_ERR_STRING0004              10004
#define IDS_ERR_STRING0005              10005

#define IDS_ERR_STRING0007              10007

#define IDS_ERR_STRING0009              10009
#define IDS_ERR_STRING0010              10010
#define IDS_ERR_STRING0011              10011
#define IDS_ERR_STRING0012              10012
#define IDS_ERR_STRING0013              10013
#define IDS_ERR_STRING0014              10014
#define IDS_ERR_STRING0015              10015
#define IDS_ERR_STRING0016              10016

#define IDS_ERR_STRING0018              10018
#define IDS_ERR_STRING0019              10019

#define IDS_ERR_STRING0021              10021
#define IDS_ERR_STRING0022				10022
#define IDS_ERR_STRING0023				10023
#define IDS_ERR_STRING0024				10024
#define IDS_ERR_STRING0025				10025
#define IDS_ERR_STRING0026				10026
#define IDS_ERR_STRING0027				10027
#define IDS_ERR_STRING0028				10028
#define IDS_ERR_STRING0029				10029

#define IDS_ERR_STRING0035				10035
#define IDS_ERR_STRING0036				10036
#define IDS_ERR_STRING0037				10037
#define IDS_ERR_STRING0038				10038
#define IDS_ERR_STRING0039				10039
#define IDS_ERR_STRING0040				10040
#define IDS_ERR_STRING0041				10041
#define IDS_ERR_STRING0042				10042

#define IDS_WRN_STRING0000              20000
#define IDS_WRN_STRING0001              20001
#define IDS_WRN_STRING0002              20002
#define IDS_WRN_STRING0003              20003
#define IDS_WRN_STRING0004              20004

#define IDS_WRN_STRING0006              20006
#define IDS_WRN_STRING0007              20007
#define IDS_WRN_STRING0008              20008
#define IDS_WRN_STRING0009              20009
#define IDS_WRN_STRING0010              20010
#define IDS_WRN_STRING0011              20011

#define IDS_WRN_STRING0012              20012
#define IDS_WRN_STRING0013              20013
#define IDS_WRN_STRING0014              20014
#define IDS_WRN_STRING0015              20015
#define IDS_WRN_STRING0016              20016
#define IDS_WRN_STRING0017              20017
#define IDS_WRN_STRING0018              20018


#define IDS_WRN_STRING0019              20019
#define IDS_WRN_STRING0020              20020

#define IDS_INF_STRING0000              30000
#define IDS_INF_STRING0001              30001
#define IDS_INF_STRING0002              30002
#define IDS_INF_STRING0003              30003
#define IDS_INF_STRING0004              30004
#define IDS_RES_STRING0000              40000
#define IDS_RES_STRING0001              40001
#define IDS_RES_STRING0002              40002
#define IDS_RES_STRING0003              40003
#define IDS_RES_STRING0004              40004
#define IDS_RES_STRING0005				40005

#define IDS_RES_STRING0007				40007
#define IDS_RES_STRING0008				40008
#define IDS_RES_STRING0009				40009


#define IDS_RES_STRING0010				40010
#define IDS_RES_STRING0011				40011
#define IDS_RES_STRING0012				40012
#define IDS_RES_STRING0013				40013
#define IDS_RES_STRING0014				40014
#define IDS_RES_STRING0015				40015
#define IDS_RES_STRING0016				40016
#define IDS_RES_STRING0017				40017
#define IDS_RES_STRING0018				40018
#define IDS_RES_STRING0019				40019
#define IDS_RES_STRING0020				40020
#define IDS_RES_STRING0021				40021
#define IDS_RES_STRING0022				40022
#define IDS_RES_STRING0023				40023
#define IDS_RES_STRING0024				40024
#define IDS_RES_STRING0025				40025
#define IDS_RES_STRING0026				40026
#define IDS_RES_STRING0027				40027
#define IDS_RES_STRING0028				40028
#define IDS_RES_STRING0029				40029
#define IDS_RES_STRING0030				40030
#define IDS_RES_STRING0031				40031
#define IDS_RES_STRING0032				40032
#define IDS_RES_STRING0033				40033
#define IDS_RES_STRING0034				40034
#define IDS_RES_STRING0035				40035
#define IDS_RES_STRING0036				40036
#define IDS_RES_STRING0037				40037
#define IDS_RES_STRING0038				40038
#define IDS_RES_STRING0039				40039
#define IDS_RES_STRING0040				40040
#define IDS_RES_STRING0041				40041
#define IDS_RES_STRING0042				40042
#define IDS_RES_STRING0043				40043
#define IDS_RES_STRING0044				40044
#define IDS_RES_STRING0045				40045
#define IDS_RES_STRING0046				40046
#define IDS_RES_STRING0047				40047
#define IDS_RES_STRING0048				40048
#define IDS_RES_STRING0049				40049
#define IDS_RES_STRING0050				40050

#define IDS_RES_STRING0051				40051
#define IDS_RES_STRING0052				40052
#define IDS_RES_STRING0053				40053
#define IDS_RES_STRING0054				40054
#define IDS_RES_STRING0055				40055
#define IDS_RES_STRING0056				40056
#define IDS_RES_STRING0057				40057
#define IDS_RES_STRING0058				40058
#define IDS_RES_STRING0059				40059
#define IDS_RES_STRING0060				40060
#define IDS_RES_STRING0061				40061
#define IDS_RES_STRING0062				40062
#define IDS_RES_STRING0063				40063




#define IDS_ERR_STRING0030				10030
#define IDS_ERR_STRING0031				10031
#define IDS_ERR_STRING0032				10032
#define IDS_ERR_STRING0033				10033
#define IDS_ERR_STRING0034				10034
#define IDS_ERR_ADAPTERERROR			90000




#define LCZ_NOERR				0
#define LCZ_ERR_NOEMPLOCALFILE	-1
#define LCZ_ERR_FILEACCESS		-2
#define LCZ_ERR_MEMALLOC		-3

typedef struct{
	LCBITMAP	lcBmp;
	BYTE*		pBits;
} LCBITMAPDATA;


class CEMPLocalize  
{
public:
	CEMPLocalize();
	virtual ~CEMPLocalize();

	int				Load(char *sFilePath);
	LCHEADER*		GetHeader(void){ return &m_lcHeader;}
	LCDIALOG*		GetDlgInf(int nResID);
	LCCONTROL*		GetCtlInf(int nResID);
	char*			GetString(int nResID);
	LCBITMAPDATA*	GetBmpData(int nResID);
	BOOL			PaintDIBmp(	CDC &dc, int nXDst, int nYDst, int nResID,
								int nWid=-1, int nHei=-1, int nXSrc=0, int nYSrc=0);


private:
	LCHEADER		m_lcHeader;
	CPtrList		m_lstDialog;
	CPtrList		m_lstControl;
	CPtrList		m_lstString;
	CPtrList		m_lstBitmap;
	void			ClearAllList(void);

};

#endif 
