/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#if !defined(AFX_IPEDIT_H__2557ECA2_93F8_11D6_BC84_002018A23969__INCLUDED_)
#define AFX_IPEDIT_H__2557ECA2_93F8_11D6_BC84_002018A23969__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 




#define IPADR_EDIT_CTRLID		100 





class CIPEdit : public CEdit
{

public:
	CIPEdit();


public:
	CIPEdit *m_pNextEdit;
	CIPEdit *m_pPrevEdit;

public:
	void	SetValue(unsigned char val);

	
	
	


public:
	virtual ~CIPEdit();

	BOOL	m_bDotKeyLock;		

	
protected:
	
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnKillfocus();
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	
	LRESULT		OnIMENotify(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()

private:
	BOOL	m_bRecvIMENotify;
};






#endif 
