/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/




#if !defined(AFX_ESCVPBASE_H__5AB11A4C_C781_45A5_B0FB_EED4E732DEF5__INCLUDED_)
#define AFX_ESCVPBASE_H__5AB11A4C_C781_45A5_B0FB_EED4E732DEF5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

#include "libkeyinput.h"
#include "winsock.h"


#define EVM_PRM_INC				1000			
#define EVM_PRM_DEC				1001			
#define DNETSESSION_TIMEOUTSEC	3				
#define DNETSESSION_TIMEOUTMSEC	0				


#define VP21CMD_KEY_EZMINC		0x28			
#define VP21CMD_KEY_EZMDEC		0x29			
#define VP21CMD_KEY_ZCANCEL		0x3D			
#define VP21CMD_KEY_EZMUP		0x58			
#define VP21CMD_KEY_EZMDOWN		0x59			
#define VP21CMD_KEY_EZMLEFT		0x5A			
#define VP21CMD_KEY_EZMRIGHT	0x5B			
#define VP21CMD_KEY_KEYSTNINC	0x06			
#define VP21CMD_KEY_KEYSTNDEC	0x07			
#define VP21CMD_KEY_COLORMODE	0x3F			
#define VP21CMD_KEY_AVMUTE		0x3E			
#define VP21CMD_KEY_PAUSE		0x47			
#define VP21CMD_KEY_VIDEO		0x4F			
#define VP21CMD_KEY_PC			0x67			


#define VP21CMD_KEY_VIDEO_KIR 0x11			
#define VP21CMD_KEY_PC_KIR	0x10			


class CESCVPBase  
{
public:
	CESCVPBase();
	virtual ~CESCVPBase();

	BOOL		Open(	ULONG			ulAddr,	
						ULONG			ulSockAddr, 
						unsigned short	nPort);

	BOOL		Close(void);					

	ULONG		GetConnectIP(void);				
	BOOL		SetKeyCommand(char nKeyParam);	

												
	BOOL		SetIncDecValue(const COMID eID, int nParam);

private:
	ULONG		m_ulConnectIP;				
};

#endif 
