/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

























#define STRICT

#include <winsock2.h>

#include <windows.h>	

#include <stdio.h>
#include <process.h>
#include <crtdbg.h>


#include "ZlibLib.h"
class CZlibLib;
extern CZlibLib gZlibLib;



#include "Log.h"


extern Log log;
extern Log ratelog; 
extern Log rectlog; 
extern Log evlog;   
extern Log deslog;
extern Log grablog;
extern Log timelog;
extern Log socklog;
extern Log bufflog;


#define LL_NONE		0

#define LL_STATE	0

#define LL_CLIENTS	1

#define LL_CONNERR	0

#define LL_SOCKERR	4

#define LL_INTERR	0


#define LL_INTWARN	8

#define LL_INTINFO	9

#define LL_SOCKINFO	10

#define LL_ALL		10




#define VNCLOG(s) (s) 



#define CLIENTTHREAD_WAIT_TIME		6			
												

#define rdReadBufferSize			24			


#define VNES_REFRESH_DELAY			200			
#define VNES_FULLSCREEN_COUNT		32			


#define	VNES_MAXCONNECTIONS			5




extern LARGE_INTEGER lpFreq;

