/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#ifndef LKI_ECODE_H
#define LKI_ECODE_H

#ifdef __cplusplus
extern "C" {
#endif

enum {
	kPWStatEv		= 0x00000001,	
	kKeyMakeEv		= 0x00000002,	
	kKeyBreakEv		= 0x00000004,	
	kIMVerEv		= 0x00000008,	
	kLangChgEv		= 0x00000010,	
	kSrcChgEv		= 0x00000020,	
	kDirChgEv		= 0x00000040,	
	kPrjIDChgEv		= 0x00000080,	
	kNWCfgChgEv		= 0x00000100,	
	kNWInfGetEv		= 0x00000200	
};

enum {
	kPWStat1Stdby	= 1,
	kPWStat1WrmUp	= 2,
	kPWStat1Nrml	= 3,
	kPWStat1ClDwn	= 4,
};

enum {
	kPWStat2LmpOvr  = 0x0001,
	kPWStat2NoSgnl	= 0x0002,
	kPWStat2UnknSgnl= 0x0004,
	kPWStat2AirFltr	= 0x0008,
	kPWStat2HghTmp	= 0x0010,
	kPWStat2ChgAspct= 0x0020
};

enum {
	kPWStat3LmpFld	= 0x0001,
	kPWStat3LmpCvr	= 0x0002,
	kPWStat3LmpOff	= 0x0004,
	kPWStat3Fan		= 0x0008,
	kPWStat3TmpSnsr = 0x0010,
	kPWStat3HghTmp	= 0x0020,
	kPWStat3Intrnl	= 0x0040
};

enum {
	kDirChgUpSdDwn	= 0x01,		
	kDirChgRear		= 0x02		
};

enum {
	kNWCfgIP		= 0x0001,
	kNWCfgGW		= 0x0002,
	kNWCfgMask		= 0x0004,
	kNWCfgTrapIP1	= 0x0008,
	kNWCfgTrapIP2	= 0x0010,
	kNWCfgDHCP		= 0x0020,
	kNWCfgCName		= 0x0040,
	kNWCfgMAC		= 0x0080
};

#ifdef __cplusplus
}
#endif

#endif 
