/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/




#if !defined(AFX_LOGFILE_H__334FC261_2607_11D6_BED9_002018A2041E__INCLUDED_)
#define AFX_LOGFILE_H__334FC261_2607_11D6_BED9_002018A2041E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 

#define BUFFER_LENGTH 1024

class CLogFile  
{
public:
	CLogFile(LPSTR filename = NULL);
	virtual ~CLogFile();

	void TimePrint(LPSTR format);								
	void TimePrint(LPSTR format,unsigned long cnt);				
	void TimePrint(LPSTR format,LPRECT tmpRect);				
	void TimePrint(LPSTR format,LPRECT tmpRect,unsigned long counter);	
	void TimePrint(LPSTR format,double diff,unsigned int width,unsigned int hight);					
	void TimePrint(LPSTR format,unsigned int width,unsigned int hight);
	void TimePrint(LPSTR format,LPSTR data);				

	void TimePrintHex(LPSTR format,unsigned long cnt);				

private:

	void OpenFile(LPSTR filename);
    void CloseFile();

	int GetAppDir(char *pDst);

    HANDLE m_hlogfile;

};

#endif 
