/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#if !defined(AFX_ECCOMBOBOX_H__2AEEA8B8_598D_493D_A9DC_F00BF9300276__INCLUDED_)
#define AFX_ECCOMBOBOX_H__2AEEA8B8_598D_493D_A9DC_F00BF9300276__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 






class CECComboBox : public CComboBox
{

public:
	CECComboBox();


public:


public:
	void	ResizeWidth(char *addstr);
	void	SetBackColor(COLORREF col);

	
	
	


public:
	virtual ~CECComboBox();
	
protected:
	
	afx_msg UINT OnGetDlgCode();
	afx_msg HBRUSH CtlColor(CDC* pDC, UINT nCtlColor);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	

	DECLARE_MESSAGE_MAP()

private:
	CBrush* m_pbgBrush;
	COLORREF m_bgColor;
};






#endif 
