/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#if !defined(AFX_ECDIALOG_H__EB09DBB4_B90E_4838_B1F5_A9533C8798E6__INCLUDED_)
#define AFX_ECDIALOG_H__EB09DBB4_B90E_4838_B1F5_A9533C8798E6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 


#include "EMPLocalize.h"
#include "ECButton.h"



class CECDialog : public CDialog
{

public:
	CECDialog(UINT nResID, CEMPLocalize *pLocal, CWnd* pParent = NULL);   

	CEMPLocalize*	GetLocal(void){ return m_pLocal; }
	BOOL			SetCtrlState(int nDlgItemID, int nResID);
	CFont*			GetECDlgFont(void){ return &m_Font; }

	void			SetTabOrder(void);


	

		
	



	
	
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    
	

private:
	CEMPLocalize*			m_pLocal;
	CFont					m_Font;
	CPtrList				m_lstButton;
	CPtrList				m_lstStatic;
	UINT					m_nResID;

#define ECDLG_TABORDER_MAXSIZE		512
	int						m_nTabOrder[ECDLG_TABORDER_MAXSIZE];
	int						m_nTabCount;


	HBRUSH					OnCtlColorStatic(WPARAM wParam, LPARAM lParam);

protected:

	
	
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg UINT OnNcHitTest(CPoint point);
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	
	DECLARE_MESSAGE_MAP()
};




#endif 
