/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#ifndef __EP_INIFILE_H__
#define	__EP_INIFILE_H__

#include "EMPCommon.h"
#include "stdafx.h"



#define ECON_INIFILE_KEYNAME	"IP"				
#define ECON_NEWGROUP_NAME		"New Group"

const DWORD ECON_NORMAL_GROUPCOUNT  = 10;
const DWORD ECON_INI_KEYSTRING_SIZE	= ECON_IPADDRSTR_MAXLEN + 9; 


enum AddIPRetValues
{
	ADD_IP_ERRORINCORRECT	= -4,
	ADD_IP_ERROREXISTS		= -3,
	ADD_IP_ERROR			= -2,
	ADD_IP_ERRORFULL		= -1,
	ADD_IP_NOERROR			= 0
};

enum IniFileRetValues
{
	
	INIFILE_BUFFSIZE_ERROR	= -2,
	INIFILE_ERROR			= -1,
	INIFILE_NOERROR			= 0
};

typedef struct {
	
	
	
	CString		sGroupName;
	
	ULONG		dwIPAdd[ECON_PROJLIST_IPLISTMAXCOUNT];	
} EPNSD_IPGROUP;



#endif