/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#if !defined(AFX_IPADDRESS_H__2557ECA1_93F8_11D6_BC84_002018A23969__INCLUDED_)
#define AFX_IPADDRESS_H__2557ECA1_93F8_11D6_BC84_002018A23969__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 


#include "IPEdit.h"

#define EDIT_COUNT		4
#define EDIT_LEFT		3
#define EDIT_TOP		3
#define EDIT_MAXLEN		3


#define IPADR_COLOR_BLACK		RGB(0,0,0)			
#define IPADR_COLOR_BACKGOURND	RGB(255,255,255)	
#define IPADR_COLOR_LIGHTPEN	RGB(240,240,240)	
#define IPADR_COLOR_DARKPEN		RGB(130,130,130)	
#define IPADR_COLOR_MIDGRAY		RGB(220,220,220)	




class CIPAddress : public CWnd
{

public:
	CIPAddress();


public:
	CIPEdit*		m_pEdit[EDIT_COUNT];
	CWnd*			m_pParentWnd;
	RECT			m_recIPRect;

public:
	void	SetFont( CFont* pFont, BOOL bRedraw = TRUE );
	void	SetAddress(ULONG ulAddr);
	BOOL	GetAddress(ULONG& ulAddr);

	void	Clear(void);



	

	
	public:
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	


public:
	virtual ~CIPAddress();

	
protected:
	
	afx_msg void OnPaint();
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnDestroy();
	
	DECLARE_MESSAGE_MAP()
private:
	int m_nEdtWidth;
	int m_nEdtHeight;
};






#endif 
