/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/



#include "stdafx.h"
#include "EP_NSS.h"
#include "ClientSock.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif




CClientSock::CClientSock()
{
}

CClientSock::~CClientSock()
{
}



#if 0
BEGIN_MESSAGE_MAP(CClientSock, CAsyncSocket)
	
	
END_MESSAGE_MAP()
#endif	




void CClientSock::OnReceive(int nErrorCode) 
{
	
	if( m_pClientThread ){
		m_pClientThread->OnReceive(this, nErrorCode);
	}
	CAsyncSocket::OnReceive(nErrorCode);
}

void CClientSock::OnClose(int nErrorCode) 
{
	
	if( m_pClientThread ){
		m_pClientThread->OnSockClose();
	}
	CAsyncSocket::OnClose(nErrorCode);
}
