/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#if !defined(AFX_KEYWORDDLG_H__0FD2AD67_C9D0_4DD2_8300_988036369D5C__INCLUDED_)
#define AFX_KEYWORDDLG_H__0FD2AD67_C9D0_4DD2_8300_988036369D5C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 






#include "..\\common\\econproto.h"
#include "..\\Common\\EMPLocalize.h"
#include "..\\Common\\ECButton.h"
#include "..\\Common\\ECDialog.h"




class CKeywordDlg : public CECDialog
{

public:
	CKeywordDlg(CEMPLocalize *plczRes, char *sProjName,CWnd* pParent = NULL);   

	char m_keyword[ECON_KEYWORD_MAXLEN];
	char m_sProjName[ECON_PROJNAME_MAXLEN];

	
	enum { IDD = DLGID_KEYWORD };
	CString	m_sKeyword;
	



	
	
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    
	


protected:

	
	
	virtual BOOL OnInitDialog();
	afx_msg void OnBtnOk();
	afx_msg void OnBtnCancel();
	afx_msg void OnBtnMiniHlp();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	
	DECLARE_MESSAGE_MAP()
private:
	void				OnOK(void);
	void				OnCancel(void){};
};




#endif 
