/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
#if !defined(AFX_SPLASHWND_H__E3C53027_5BA8_4DEA_98AF_57DFF026DF2A__INCLUDED_)
#define AFX_SPLASHWND_H__E3C53027_5BA8_4DEA_98AF_57DFF026DF2A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif 



#include "..\\Common\\EMPLocalize.h"
#include "..\\Common\\ECDialog.h"
#include "..\\Common\\ECStatic.h"

#define SPLASH_ENDTIMER_ID			8000
#define SPLASH_STATICCTL_COUNT		4

#define SPW_PPCLASSNAME_95			"PP7FrameClass"
#define SPW_PPCLASSNAME_96			"PP8FrameClass"
#define SPW_PPCLASSNAME_97			"PP97FrameClass"
#define SPW_PPCLASSNAME_2000		"PP9FrameClass"
#define SPW_PPCLASSNAME_2002		"PP10FrameClass"
#define SPW_PPCLASSNAME_2003		"PP11FrameClass"




class CSplashWnd : public CECDialog
{

public:
	CSplashWnd(CEMPLocalize *pLocal, CWnd* pParent = NULL);   
	

	
	enum { IDD = DLGID_SPLASHWND };
		
	


	
	
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    
	


protected:

	
	
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	
	DECLARE_MESSAGE_MAP()

private:
	CEMPLocalize*		m_pLocal;
	UINT				m_nEndTimer;
	BOOL				m_bMouseDown;

	CECStatic*			pSTxt[SPLASH_STATICCTL_COUNT];
};




#endif 
