/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/



























#include "stdhdrs.h"



#include "vncDesktop.h"
#include "vncEncoder.h"
#include "vncEncodeRRE.h"
#include "vncEncodeCoRRE.h"
#include "vncEncodeHexT.h"
#include "vncEncodeZlib.h"
#include "vncEncodeTight.h"


#include "vncEncodeZlibHex.h"  

#include "MinMax.h"

#include "vncBuffer.h"



vncBuffer::vncBuffer(vncDesktop *desktop)
{
	
	m_desktop = desktop;

	
	m_freemainbuff			= FALSE;
	m_encoder				= NULL;
	zlib_encoder_in_use		= false;
	m_hold_zlib_encoder		= NULL;
	tight_encoder_in_use	= false;
	m_hold_tight_encoder	= NULL;
	zlibhex_encoder_in_use	= false;
	m_hold_zlibhex_encoder	= NULL;

	
	m_compresslevel			= 6;			
	m_qualitylevel			= -1;			

	m_mainbuff = NULL;
	m_mainsize				= 0;
	
	m_clientbuff			= NULL;
	m_clientbuffsize		= 0;
	m_clientfmtset			= FALSE;

	m_dwBitmapWidth			= 0;
	m_dwBitmapHeight		= 0;
	

	
	CheckBuffer();
}

vncBuffer::~vncBuffer()
{
	if (m_freemainbuff) {
		
		if (m_mainbuff != NULL)
		{
			delete [] m_mainbuff;
			m_mainbuff = NULL;
		}
	}
	
























































































