/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/





























class vncRegion;

#if !defined(VNCREGION_DEFINED)
#define VNCREGION_DEFINED
#pragma once

#include "stdhdrs.h"
#include <list>
#include "RectList.h"


class vncRegion
{


public:


public:
	
	vncRegion();
	~vncRegion();

	void AddRect(RECT &rect);				
	void SubtractRect(RECT &rect);			
	void Clear();							
	BOOL IsEmpty();							
	void Combine(vncRegion &rgn);			
	void Intersect(vncRegion &rgn);			
	void Subtract(vncRegion &rgn);			

	
	
	BOOL Rectangles(rectlist &rects);					
	BOOL Rectangles(rectlist &rects, RECT &cliprect);	

	
	
	BOOL GetRegionBox(RECT &rect);
	

	
	BOOL IsEqualRgn(vncRegion &rgn);
	


protected:
	HRGN region;							
};

#endif 
