#ifndef DIALOG_H
#define DIALOG_H

#include "BaseDialog.h"

const ::SDL_Rect VNES_DIALOG_DEFAULT_RECT = {0, 603, 1024, 122};

class NavGuide;
class InfoBar;

//! 
class Dialog : public BaseDialog {
public:
	Dialog					(SDL_Surface *screen,
							 const ::SDL_Rect &rect = VNES_DIALOG_DEFAULT_RECT);

    ~Dialog				    ();

public: // derived from Grain
	int			Init		();

	int			Draw		();

	void		Update		();

	ProcStatus	Event		(const ::SDL_Event& event);

public:
	//! Хåμ¹
	void		DoCallback	(DlgBtn::BtnType type);

    void        UpdateResources();

protected:
	//! ɤ
	int			SetNavGuide	();

protected:
	//! ɤΥ󥹥󥹤Υݥ
	NavGuide	*m_NavGuide;

	//! åΥ󥹥󥹤Υݥ
	InfoBar     *m_InfoBar;
};

#endif // DIALOG_H
