/*
 *	
 *	FileName	:	VNeSCommon.h
 *			:	VNeSVNCclient
 *	CopyRight	:	(C)2001,SEIKO EPSON Corp. All Rights Reserved.
 *	Notice		:	
 *	History		:	2002.05.14 Created
 */

#if !defined(__VNESCOMMON__H_)
#define __VNESCOMMON__H_

//Encryption: stephen 02-06-2002
typedef union {
	int     size;			//real size of data to be sent
	char    pad[8];					
} VNESENCRYPTIONHEADER;

typedef struct tagVNeSHeader
{
	char            dwMagicNum[4];
    char            MajorVersion[2];
    char            MinorVersion[2];
	char            dwServerIP[4];
    unsigned long   dwCommand;
    unsigned long   dwDataSize;

} VNESHEADER, *PVNESHEADER;

const char VNES_MAJORVERSION[] = "06";
const char VNES_MINORVERSION[] = "00";

typedef struct tagVNeSUDPHeader
{ 
	VNESHEADER      vnesHeader;
	unsigned long   dwCommandID;
	unsigned long   dwDataID;
	unsigned long   dwFullScrID;
	unsigned long   dwFullScrTotal;

} VNESUDPHEADER, *PVNESUDPHEADER;

const char VNES_MAGICNUMBER[4] = "EPRD";

#endif	//!defined(__VNESCOMMON__H_)
