/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/




#ifndef CONFIGESCVP_H
#define CONFIGESCVP_H

#include <map>
#include <string>
#include <cstdio>
#include "libkeyinput.h"
#include "configfile.h"

class ConfigESCVP : public ConfigFile
{
public:
    ConfigESCVP();
    ~ConfigESCVP();

    
    void Read();

    
    void Write();

private:
    static int GetValue(const COMID eID, char* value, int bufsize);
    static int SetValue(const COMID eID, const char* value);
};

#endif 

