/*
    Copyright (C) SEIKO EPSON CORPORATION 2002-2003. All Rights Reserved.

    3-3-5, Owa, Suwa-shi Nagano-ken, 392-8502 Japan
    Phone: +81-266-52-3131

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/






typedef struct inflate_huft_s FAR inflate_huft;

struct inflate_huft_s {
  union {
    struct {
      Byte Exop;        
      Byte Bits;        
    } what;
    uInt pad;           
  } word;               
  uInt base;            
};


#define MANY 1440

extern int inflate_trees_bits OF((
    uIntf *,                    
    uIntf *,                    
    inflate_huft * FAR *,       
    inflate_huft *,             
    z_streamp));                

extern int inflate_trees_dynamic OF((
    uInt,                       
    uInt,                       
    uIntf *,                    
    uIntf *,                    
    uIntf *,                    
    inflate_huft * FAR *,       
    inflate_huft * FAR *,       
    inflate_huft *,             
    z_streamp));                

extern int inflate_trees_fixed OF((
    uIntf *,                    
    uIntf *,                    
    inflate_huft * FAR *,       
    inflate_huft * FAR *,       
    z_streamp));                
